Subject: bug#19418: AC_CONFIG_FILES / stamp-h? problem

From: "Jeff Squyres (jsquyres)" <[email-masked]>
Date: Tue, 22 Feb 2022 12:53:37 +0000

I'm afraid I can't easily tell.

It looks like I added a workaround in https://github.com/open-mpi/ompi/commit/40dd4c5b766ff62a681692b1fa6b72a1023fc81f on Dec 20, 2014 (the same day that I initially filed this bug report).

Half of that workaround was removed in June of 2015 when we stopped embedding a major component (https://github.com/open-mpi/ompi/commit/3e1b85ceb36d952190934e041b8894db98bb38ef); the other half persisted for several years until we changed packaging of another major component in October of 2020 (https://github.com/open-mpi/ompi/commit/0e9581d478a20b496c579c9510ea0f3d644a460d).  Honestly, I think that when I put in the workaround, we forgot about the issue -- the workaround ultimately disappeared organically over time when we made other major changes to the Open MPI code base.

So I can't say whether the bug ultimately got fixed in subsequent versions of Automake, whether it was fixed in Open MPI's m4 code, or whether the other major changes in Open MPI made the issue moot.

-- 
Jeff Squyres
[email-masked]

________________________________________
From: Mike Frysinger <[email-masked]>
Sent: Sunday, February 20, 2022 11:03 PM
To: Jeff Squyres (jsquyres)
Cc: [email-masked]
Subject: Re: AC_CONFIG_FILES / stamp-h? problem

On Sat, 20 Dec 2014 15:48:49 +0000, Jeff Squyres (jsquyres) wrote:
> I have found what appears to be a subtle bug in the Autotools, and I *think* it may be in Automake.  ...but I am not sure; it could also be a bug in our m4 code.

it's been ... a while.  have you managed to track this down yourself ?
or is this issue still plaguing the project ?
-mike